ThinkPad Edge 13(AMD): thinkpad_acpi,wireless hotkey is not functional

Bug #640992 reported by Garrick Yang on 2010-09-17
28
This bug affects 3 people
Affects Status Importance Assigned to Milestone
OEM Priority Project
Medium
Chris Van Hoof
linux (Ubuntu)
Low
Tim Gardner
Maverick
Medium
Tim Gardner
Natty
Low
Tim Gardner

Bug Description

Binary package hint: linux-image-2.6.35-22-generic

The wireless hotkey can enable and disable the bluetooth.The wireless hotkey can't control the WiFi.Module thinkpad_acpi is loaded.
ThinkPad Edge 13 (AMD platform, the cadename is Berlin1.2 )and ThinkPad Edge 14 (AMD platform,the codename is London)also have this bug.
But on intel platform(Thinkpad Edge 13,the codename is Berlin and ThinkPad Edge 14 ,the codename is London),the wireless hotkey is functional.

If you need any futrther information,please let us know.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: linux-image-2.6.35-21-generic 2.6.35-21.31
Regression: No
Reproducible: Yes
ProcVersionSignature: Ubuntu 2.6.35-21.31-generic 2.6.35.4
Uname: Linux 2.6.35-21-generic i686
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: SB [HDA ATI SB], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: lenovo 1391 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'SB'/'HDA ATI SB at 0xd0a00000 irq 16'
   Mixer name : 'Realtek ALC269'
   Components : 'HDA:10ec0269,17aa21bd,00100004'
   Controls : 13
   Simple ctrls : 8
Card1.Amixer.info:
 Card hw:1 'HDMI'/'HDA ATI HDMI at 0xd0410000 irq 19'
   Mixer name : 'ATI RS690/780 HDMI'
   Components : 'HDA:1002791a,00791a00,00100000'
   Controls : 4
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [off]
Card29.Amixer.info:
 Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30, fw 82HT15WW-1.161000'
   Mixer name : 'ThinkPad EC 82HT15WW-1.161000'
   Components : ''
   Controls : 1
   Simple ctrls : 1
Card29.Amixer.values:
 Simple mixer control 'Console',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
Date: Thu Sep 16 14:52:30 2010
HibernationDevice: RESUME=UUID=862a7a09-11a5-4bac-9469-ca968007d556
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Beta i386 (20100901.1)
MachineType: LENOVO 019922U
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-21-generic root=UUID=089f13f7-7ebc-4237-a303-aebd69e21d07 ro quiet splash
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
RelatedPackageVersions: linux-firmware 1.38
SourcePackage: linux
dmi.bios.date: 05/03/2010
dmi.bios.vendor: LENOVO
dmi.bios.version: 82ET16WW (1.02 )
dmi.board.name: 019922U
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr82ET16WW(1.02):bd05/03/2010:svnLENOVO:pn019922U:pvrThinkPadEdge:rvnLENOVO:rn019922U:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 019922U
dmi.product.version: ThinkPad Edge
dmi.sys.vendor: LENOVO

CVE References

Garrick Yang (garrickyang) wrote :
Garrick Yang (garrickyang) wrote :
Garrick Yang (garrickyang) wrote :

I add the file "dsdt" and "fadt" which under /proc/acpi as attachment.

description: updated
description: updated
Changed in oem-priority:
assignee: nobody → Canonical Platform QA Team (canonical-platform-qa)
Ameet Paranjape (ameetp) on 2010-09-20
Changed in oem-priority:
status: New → Triaged
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)
Changed in oem-priority:
assignee: Canonical Platform QA Team (canonical-platform-qa) → Canonical Kernel Team (canonical-kernel-team)
Ameet Paranjape (ameetp) wrote :

@ allenlan,
Just to be clear it is only the hot key that is not working, correct? Wi-Fi and Bluetooth work on their own? Just want to make sure there is a workaround where these components are functional.

Changed in oem-priority:
status: Triaged → Incomplete
Changed in linux (Ubuntu):
status: Triaged → Incomplete
Jerone Young (jerone) wrote :

@Ameet
       The issue is the thinkpad edge does not have support in thinkpad-acpi

Changed in oem-priority:
status: Incomplete → Confirmed
Ameet Paranjape (ameetp) on 2010-09-20
Changed in linux (Ubuntu Maverick):
status: Incomplete → Triaged
Changed in oem-priority:
status: Confirmed → Triaged
Garrick Yang (garrickyang) wrote :

@Ameet Paranjape

The wireless hotkey is not functional for wifi.
Both wifi and bluetooth have the right function.

Garrick Yang (garrickyang) wrote :

@Jerone Young
Thinkpad Edge(Intel platform) support thinkpad-acpi and the hotkey has right function.
Thinkpad Edge (AMD platform ) still have this issue under Ubuntu 10.10

And by the way ,is there any update about this issue?

Manoj Iyer (manjo) wrote :

allenlan,

Can you pls install the kernel from http://kernel.ubuntu.com/~manjo/maveric/lp640992/

Then test your wifi key, this will case a debug message to be generated in dmesg. Please look for !!!! DEBUG ACPI, please attach this dmesg output or cut and paste that line. I need the scan code to enable the wifi hotkey.

Garrick Yang (garrickyang) wrote :

@Manoj

I download and install the kernel below:
linux-image-2.6.35-23-generic_2.6.35-23.36~lp640992manjo1_i386.deb

Then try the wireless hotkey,run dmesg in Terminal,output is :!!!!!! DEBUG APCI !!!! scancode=5

If there is any information that you need,pls let me know.

Download full text (4.9 KiB)

Hi,Manoj

I download and install the kernel below:
linux-image-2.6.35-23-generic_2.6.35-23.36~lp640992manjo1_i386.deb

Then try the wireless hotkey,run dmesg in Terminal,output is :!!!!!! DEBUG
APCI !!!! scancode=5

If there is any information that you need,pls let me know.
Thank you.

Thanks & Best Regards!

Allen Lan(蓝佳航)
TVT PAII China Development Lab
Development Engineer

eMail:<email address hidden>
Ext. :86-755-26553388-3976
Fax :86-755-2601382
VOIP:6063976

New Thinking. New Linux
http://www.lenovo.com/cn
Address: 12th Floor, Lenovo R&D Building, High Technology Park, Nanshan
District, Shenzhen, P.R.C

Manoj Iyer <email address hidden>
Sent by: <email address hidden>
2010-11-03 00:36
Please respond to
Bug 640992 <email address hidden>

To
<email address hidden>
cc

Subject
[Bug 640992] Re: ThinkPad Edge 13(AMD): thinkpad_acpi, wireless hotkey is
not functional

allenlan,

Can you pls install the kernel from
http://kernel.ubuntu.com/~manjo/maveric/lp640992/

Then test your wifi key, this will case a debug message to be generated
in dmesg. Please look for !!!! DEBUG ACPI, please attach this dmesg
output or cut and paste that line. I need the scan code to enable the
wifi hotkey.

--
ThinkPad Edge 13(AMD): thinkpad_acpi,wireless hotkey is not functional
https://bugs.launchpad.net/bugs/640992
You received this bug notification because you are a direct subscriber
of the bug.

Status in OEM Priority Project: Triaged
Status in “linux” package in Ubuntu: Triaged
Status in “linux” source package in Maverick: Triaged

Bug description:
Binary package hint: linux-image-2.6.35-22-generic

The wireless hotkey can enable and disable the bluetooth.The wireless
hotkey can't control the WiFi.Module thinkpad_acpi is loaded.
ThinkPad Edge 13 (AMD platform, the cadename is Berlin1.2 )and ThinkPad
Edge 14 (AMD platform,the codename is London)also have this bug.
But on intel platform(Thinkpad Edge 13,the codename is Berlin and ThinkPad
Edge 14 ,the codename is London),the wireless hotkey is functional.

If you need any futrther information,please let us know.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: linux-image-2.6.35-21-generic 2.6.35-21.31
Regression: No
Reproducible: Yes
ProcVersionSignature: Ubuntu 2.6.35-21.31-generic 2.6.35.4
Uname: Linux 2.6.35-21-generic i686
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: SB [HDA ATI SB], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: lenovo 1391 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'SB'/'HDA ATI SB at 0xd0a00000 irq 16'
   Mixer name : 'Realtek ALC269'
   Components : 'HDA:10ec0269,17aa21bd,00100004'
   Controls : 13
   Simple ctrls : 8
Card1.Amixer.info:
 Card hw:1 'HDMI'/'HDA ATI HDMI at 0xd0410000 irq 19'
   Mixer name : 'ATI RS690/780 ...

Read more...

Manoj Iyer (manjo) wrote :
Download full text (5.1 KiB)

allenlan,

You seem to have a very buggy dsdt.dsl, I suggest you update your bios. I am still looking at how to quirk the kernel to fix your button.

Intel ACPI Component Architecture
ASL Optimizing Compiler version 20090521 [Jun 30 2009]
Copyright (C) 2000 - 2009 Intel Corporation
Supports ACPI Specification Revision 3.0a

dsdt.dsl 39: Zero
Error 4095 - ^ syntax error, unexpected PARSEOP_ZERO

dsdt.dsl 443: Method (_WAK, 1, NotSerialized)
Warning 1080 - ^ Reserved method must return a value (_WAK)

dsdt.dsl 687: Method (CPSR, 1, NotSerialized)
Warning 1087 - ^ Not all control paths return a value (CPSR)

dsdt.dsl 692: Name (_T_0, 0x00)
Remark 5110 - Use of compiler reserved name ^ (_T_0)

dsdt.dsl 714: Return (UWED (EVID, ACID, DA01))
Error 4060 - Called method returns no value ^

dsdt.dsl 1748: Method (AFN0, 0, Serialized)
Warning 1087 - ^ Not all control paths return a value (AFN0)

dsdt.dsl 1752: Return (\_SB.PCI0.AGP.VGA.AFN0 ())
Error 4060 - Called method returns no value ^

dsdt.dsl 1757: Return (\_SB.PCI0.PB2.VGA.AFN0 ())
Error 4060 - Called method returns no value ^

dsdt.dsl 1762: Return (\_SB.PCI0.PB3.VGA.AFN0 ())
Error 4060 - Called method returns no value ^

dsdt.dsl 1774: Method (AFN3, 2, Serialized)
Warning 1087 - ^ Not all control paths return a value (AFN3)

dsdt.dsl 1778: Return (\_SB.PCI0.AGP.VGA.AFN3 (Arg0, Arg1))
Error 4060 - Called method returns no value ^

dsdt.dsl 1783: Return (\_SB.PCI0.PB2.VGA.AFN3 (Arg0, Arg1))
Error 4060 - Called method returns no value ^

dsdt.dsl 1788: Return (\_SB.PCI0.PB3.VGA.AFN3 (Arg0, Arg1))
Error 4060 - Called method returns no value ^

dsdt.dsl 1792: Method (AFN4, 1, Serialized)
Warning 1087 - ^ Not all control paths return a value (AFN4)

dsdt.dsl 1796: Return (\_SB.PCI0.AGP.VGA.AFN4 (Arg0))
Error 4060 - Called method returns no value ^

dsdt.dsl 1801: Return (\_SB.PCI0.PB2.VGA.AFN4 (Arg0))
Error 4060 - Called method returns no value ^

dsdt.dsl 1806: Return (\_SB.PCI0.PB3.VGA.AFN4 (Arg0))
Error 4060 - Called method returns no value ^

dsdt.dsl 1810: Method (AFN5, 0, Serialized)
Warning 1087 - ^ Not all control paths return a value (AFN5)

dsdt.dsl 1814: Return (\_SB.PCI0.AGP.VGA.AFN5 ())
Error 4060 - Called method returns no value ^

dsdt.dsl 1819: Return (\_SB.PCI0.PB2.VGA.AFN5 ())
Error 4060 - Called method r...

Read more...

Garrick Yang (garrickyang) wrote :

@Manoj Iyer

I have updated the BIOS to the latest version(82ET60WW).But the WiFi hotkey remains dysfunctional.The Scancode is 5 too.
Thank you for your support.

Manoj Iyer (manjo) wrote :

allenlan,

Can you please try the following?

$ /lib/udev/findkeyboards

on my laptop it returns AT keyboard: input/event3

Run this next command, hit the wireless hotkey and immediately hit escape key, or else the screen will scroll too fast.

$ sudo /lib/udev/keymap -i input/event3 (replace input/event3 with what your machines returns)

On my laptop I get scan code: 0x84 key code: wlan when I hit the wlan hotkey, can you paste what your output looks like ?

From looking at the code, your scancodes that the kernel receives is correct and corresponds to KEY_WLAN, so I am afraid we will need further debugging, may be it can be fixed with udev rules.

Keng-Yu Lin (lexical) wrote :

In my thinkpad, /lib/udevfindkeyboards shows:

  AT keyboard: input/event3
  module: input/event5

The second one is generated by thinkpad-acpi, which is what we want in this case (Manoj sorry if I gave the wrong instruction :-( ).

It may also worth to look at the value of hotkey_*_mask, the use to these masks seems to be filtering out some hotkeys.

Manoj Iyer (manjo) wrote :

keng-yu no worries you were only trying to help :) I am building a kernel with some more debug messages, I will have it uploaded as soon as it is done, allenlan can you please run that kernel and update the bug with the messages it prints to dmesg?

Same location:

http://kernel.ubuntu.com/~manjo/maveric/lp640992/

Keng-Yu Lin (lexical) wrote :

It interests me that in attached rfkill.txt contains no rfkill interface for wifi.

Found that /etc/acpi/events/ibm-wireless and /etc/acpi/ibm-wireless.sh also toggle wifi.
It calls toggleAllWirelessStates() in /usr/share/acpi-support/state-funcs, in which describes several sysfs nodes to look for wifi rfkill status.

Guess is good also to check if these nodes presented:

  /sys/class/net/wlan0/phy80211/rfkill*/state
  /sys/class/net/wlan0/device/rfkill/rfkill*/state
  /sys/class/net/wlan0/device/power/state
  /sys/class/net/wlan0/device/rf_kill

In ubuntu-maverick/ubuntu/rtl8192se/Makefile, CONFIG_RTL_RFKILL is not currently defined. Could be a possible solution if -D it works.

Garrick Yang (garrickyang) wrote :

@Manoj Iyer

Hi,Manoj lyer
I run the command :$ /lib/udev/findkeyboards,
the terminal returns : AT keyboard :input/event3 module :input/event6
Then I sun :$ sudo /lib/udev/keymap -i input/event3 and hit the wifi hotkey and release.
the terminal returns: Press ESC to finish scan code:0X01 key code:esc

Is this info helpfully?

Manoj Iyer (manjo) wrote :

Keyng-Yu, I think you are correct, let me enable CONFIG_RTL_RFKILL in rtl8192se driver and see if that works.

Manoj Iyer (manjo) wrote :

allenlan,

RTL8192se driver was introduced as an experimental driver, the driver is not yet in the staging tree in mainline. Turning on CONFIG_RTL_RFKILL causes build failure. Also, this driver has not been updated in our kernel tree for a while. We will need support from realtek to fix any real issues with this driver source, since this is not in staging we wont be able to work out bugs in the source.

I could either update the driver source to the latest, which means you will get the new driver only in Natty (11.04) due in April 2011, or push this driver to staging and force realtek to support it.

Changed in oem-priority:
status: Triaged → Won't Fix
Changed in linux (Ubuntu Maverick):
status: Triaged → Won't Fix
Manoj Iyer (manjo) on 2010-11-09
Changed in oem-priority:
status: Won't Fix → Incomplete
Changed in linux (Ubuntu Maverick):
status: Won't Fix → Incomplete
Manoj Iyer (manjo) wrote :

allenlan,

OK, lets give it another try, I managed to build a kernel with RFKILL configs turned on. The kernel is available at

http://kernel.ubuntu.com/~manjo/maveric/lp640992/

Please try this kernel and report if that works for you. There are no debug messages added to this build, but if you could attach the dmesg anyway that will be great.

Manoj Iyer (manjo) wrote :

allenlan,

Can you also try the kernel in http://kernel.ubuntu.com/~manjo/natty/rtl8192se/ and report if it works ok for you. This is a Natty kernel with an updated rtl8192se module, I would like to know if it works and also if it fixes your wireless hotkey issue.

Garrick Yang (garrickyang) wrote :

Hi,Manoj Iyer

I installed the kernel :linux-image-2.6.35-23-generic_2.6.35-23.37~lp640992manjo3_i386.deb and rebooted the system.
I am very glad that the wireless hotkey can enable and disable WiFi successfully.
But sometimes , press the wireless hotkey can mute the audio just like i pressed the audio hotkey.

I attach the output of dmesg.
Any further info you need,pls let me know,.thank you for your support.

Garrick Yang (garrickyang) wrote :

Hi,Manoj Iyer

I tried the kernel: linux-image-2.6.37-2-generic_2.6.37-2.10~rtl8192semanjo1_i386.deb.
It seems not as good as the previous one(linux-image-2.6.35-23-generic_2.6.35-23.37).The wireless card is disabled even after installation of the driver.The wireless card is dysfunctional.
What info do you need to fix this kernel;s issue?

Thank you for your support.

Ameet Paranjape (ameetp) on 2010-11-12
Changed in oem-priority:
status: Incomplete → Triaged
Changed in linux (Ubuntu Maverick):
status: Incomplete → Triaged
Manoj Iyer (manjo) wrote :

Allenlan,

Can you please try the kernel in

http://kernel.ubuntu.com/~manjo/maveric/lp640992/

Can you please confirm that the above kernel fixes the wifi hot key.

Also, if this kernel does not fix the audio mute issue please open a separate bug on that one.

Steve Magoun (smagoun) wrote :

I tested the 'manjo4' kernel form http://kernel.ubuntu.com/~manjo/maveric/lp640992/ on a Thinkpad Edge 14 w/ the Thinkpad (Realtek) wireless. The manjo4 kernel allows the wireless hotkey to enable/disable the wireless card on this system.

Manoj Iyer (manjo) wrote :

SRU JUSTIFICAITON
===================
On thinkpad Edge with RTL8192SE wifi device, wifi on/off hotkey does not work. Enabled RFKILL in the rtl8192se module to enable this hotkey.

IMPACT
=======
The change is limited to Makefile, it enables -DCONFIG_RTL_RFKILL (-DCONFIG_CFG_80211 also need to be enabled as per comment in the Makefile).

TEST
=====
The new driver was tested by Steve Magoun and reported to work. Test kernel can be found in, http://kernel.ubuntu.com/~manjo/maveric/lp640992/

Garrick Yang (garrickyang) wrote :

Hi,Manoj Iyer

I tried the kernel manjo4 on both Edge13 and Edge14(AMD platfprm),the wireless hotkey can control the Wifi.
It seems to work fine.
Can we use this kernel to pass the checkbox test?
Thank you .

Tim Gardner (timg-tpi) on 2010-11-18
Changed in linux (Ubuntu Maverick):
assignee: Canonical Kernel Team (canonical-kernel-team) → Tim Gardner (timg-tpi)
status: Triaged → Fix Committed
Manoj Iyer (manjo) wrote :

Allenlan,I dont think you can use my kernel to pass certification, but you could wait for the SRU kernel to be uploaded.

Tim Gardner (timg-tpi) on 2010-11-19
Changed in linux (Ubuntu Natty):
assignee: Canonical Kernel Team (canonical-kernel-team) → Tim Gardner (timg-tpi)
importance: Medium → Low
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.37-6.15

---------------
linux (2.6.37-6.15) natty; urgency=low

  [ Andy Whitcroft ]

  * [Config] standardise CONFIG_CEPH_FS
  * [Config] standardise CONFIG_SCSI_LPFC_DEBUG_FS
  * [Config] standardise CONFIG_SCSI_PROC_FS
  * [Config] standardise CONFIG_UBIFS_FS
  * [Config] standardise CONFIG_USB_GADGET_DEBUG_FS

  [ Kees Cook ]

  * [Config] update config for CONFIG_DEBUG_SET_MODULE_RONX

  [ Manoj Iyer ]

  * SAUCE: Enable jack sense for Thinkpad Edge 11
    - LP: #677210
  * SAUCE: enable rfkill for rtl8192se driver
    - LP: #640992

  [ Tim Gardner ]

  * [Config] CONFIG_EASYCAP=n for FTBS
  * Rebase to v2.6.32-rc2+git

  [ Upstream Kernel Changes ]

  * x86: Fix improper large page preservation
  * x86: Add NX protection for kernel data
  * x86: Add RO/NX protection for loadable kernel modules

  [ Upstream Kernel Changes ]

  * Rebase to Linus 2.6.37-rc2+git
 -- Andy Whitcroft <email address hidden> Sat, 20 Nov 2010 11:40:00 +0000

Changed in linux (Ubuntu Natty):
status: Fix Committed → Fix Released
Chris Van Hoof (vanhoof) on 2010-11-29
tags: added: hwe-blocker

Accepted linux into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Chris Van Hoof (vanhoof) on 2010-12-08
Changed in oem-priority:
assignee: Canonical Kernel Team (canonical-kernel-team) → Chris Van Hoof (vanhoof)
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed' to 'verification-done'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

Steve Magoun (smagoun) wrote :

I tested the 2.6.35-24.42 kernel from maverick-proposed on a Thinkpad Edge 14 w/ AMD CPU and Thinkpad (Realtek) wireless. The 2.6.35-24.42 kernel enables the wireless hotkey to enable/disable wireless on this system.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :
Download full text (9.0 KiB)

This bug was fixed in the package linux - 2.6.35-24.42

---------------
linux (2.6.35-24.42) maverick-proposed; urgency=low

  [ Brad Figg ]

  - LP: #683422

  [ Colin Ian King ]

  * SAUCE: Allow registration of handler to multiple WMI events with same
    GUID
    - LP: #676997
  * SAUCE: Add WMI hotkeys support for Dell All-In-One series
    - LP: #676997
  * [Config] Enable Dell All-In-One WMI Hotkeys driver
    - LP: #676997

  [ David Woodhouse ]

  * [Upstream] Call acpi_video_register() in intel_opregion_init() failure
    path
    - LP: #615947

  [ Manoj Iyer ]

  * SAUCE: enable rfkill for rtl8192se driver
    - LP: #640992
  * SAUCE: Enable jack sense for Thinkpad Edge 11
    - LP: #677210

  [ Tim Gardner ]

  * [Config] Use correct be2iscsi module name in d-i/modules/scsi-modules
    - LP: #628776
  * [Config] Added NFS and related modules to virtual flavour
    - LP: #659084
  * [Config] Add support for cross compiling armel
  * Simplify the use of CROSS_COMPILER

  [ Upstream Kernel Changes ]

  * Revert "(pre-stable) ACPI: enable repeated PCIEXP wakeup by clearing
    PCIEXP_WAKE_STS on resume"
  * Revert "(pre-stable) mm: Move vma_stack_continue into mm.h"
  * x86, cpu: After uncapping CPUID, re-run CPU feature detection
    - LP: #672664
  * ALSA: sound/pci/rme9652: prevent reading uninitialized stack memory
    - LP: #672664
  * ALSA: oxygen: fix analog capture on Claro halo cards
    - LP: #672664
  * ALSA: hda - Add Dell Latitude E6400 model quirk
    - LP: #643891, #672664
  * ALSA: prevent heap corruption in snd_ctl_new()
    - LP: #672664
  * ALSA: rawmidi: fix oops (use after free) when unloading a driver module
    - LP: #672664
  * hwmon: (lis3) Fix Oops with NULL platform data
    - LP: #672664
  * USB: fix bug in initialization of interface minor numbers
    - LP: #672664
  * usb: musb: gadget: fix kernel panic if using out ep with FIFO_TXRX
    style
    - LP: #672664
  * usb: musb: gadget: restart request on clearing endpoint halt
    - LP: #672664
  * HID: hidraw, fix a NULL pointer dereference in hidraw_ioctl
    - LP: #672664
  * HID: hidraw, fix a NULL pointer dereference in hidraw_write
    - LP: #672664
  * ahci: fix module refcount breakage introduced by libahci split
    - LP: #672664
  * lib/list_sort: do not pass bad pointers to cmp callback
    - LP: #672664
  * ACPI: invoke DSDT corruption workaround on all Toshiba Satellite
    - LP: #672664
  * oprofile: Add Support for Intel CPU Family 6 / Model 29
    - LP: #672664
  * oprofile, ARM: Release resources on failure
    - LP: #672664
  * RDMA/cxgb3: Turn off RX coalescing for iWARP connections
    - LP: #672664
  * drm/radeon/kms: fix bad cast/shift in evergreen.c
    - LP: #672664
  * drm/radeon/kms: avivo cursor workaround applies to evergreen as well
    - LP: #672664
  * ARM: 6400/1: at91: fix arch_gettimeoffset fallout
    - LP: #672664
  * ARM: 6395/1: VExpress: Set bit 22 in the PL310 (cache controller)
    AuxCtlr register
    - LP: #672664
  * V4L/DVB: gspca - main: Fix a crash of some webcams on ARM arch
    - LP: #672664
  * V4L/DVB: gspca - sn9c20x: Bad transfer size of Bayer images
    - LP: #672664
  * mmc: sdhci-s3c: fix NULL ptr acc...

Read more...

Changed in linux (Ubuntu Maverick):
status: Fix Committed → Fix Released
Chris Van Hoof (vanhoof) on 2010-12-20
Changed in oem-priority:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers